package org.jeecg.modules.energy.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.energy.entity.BuAirNoise;
import org.jeecg.modules.energy.entity.BuAirWater;
import org.jeecg.modules.energy.mapper.BuAirSmokeMapper;
import org.jeecg.modules.energy.mapper.BuAirWaterMapper;
import org.jeecg.modules.energy.service.IBuAirWaterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Collections;
import java.util.List;

/**
 * @Description: bu_air_water_online
 * @Author: jeecg-boot
 * @Date:   2024-10-11
 * @Version: V1.0
 */
@Service
public class BuAirWaterServiceImpl extends ServiceImpl<BuAirWaterMapper, BuAirWater> implements IBuAirWaterService {
    @Autowired
    private BuAirWaterMapper buAirWaterMapper;

    @Override
    public List<BuAirWater> getBySensorId(String tableName, String sensorId) {
        return buAirWaterMapper.getBySensorId(tableName,sensorId);
    }

    @Override
    public List<BuAirWater> getAirWaterData() {
        return buAirWaterMapper.getAirWaterData();
    }

    @Override
    public List<BuAirWater> getAirWaterByStatus() {
        return buAirWaterMapper.getAirWaterByStatus();
    }

    @Override
    public IPage<BuAirWater> selectByDynamicTable(Page<BuAirWater> page, String tableName, String deviceId, String sensorId, String beginTime, String endTime) {
        return buAirWaterMapper.selectByDynamicTable(page,tableName,deviceId,sensorId,beginTime,endTime);
    }
    @Override
    public List<BuAirWater> selectByDynamicTable(String tableName, String deviceId, String sensorId, String beginTime, String endTime) {
        return buAirWaterMapper.selectByDynamicTable(tableName,deviceId,sensorId,beginTime,endTime);
    }
}
